View topic - where to get python 3.2.2 header files

Page 1 of 1

where to get python 3.2.2 header files

PostPosted: Fri Oct 17, 2014 9:28 pm
by thowa
Hi,

I want to compile Boost.Python for my BlackBerry Z30.
Therefore I need the source files of Python 3.2.2 (or at least the .h-files) for QNX.

From Python.org I can get those files.for every other OS but jot QNX.

I also don't really know, which version of QNX is running on Blackberry 10.
Uname -a shows 8.0.0. But I think that's not correct.

Re: where to get python 3.2.2 header files

PostPosted: Sat Oct 18, 2014 2:38 am
by maschoen
I've never heard anything but rumor about Blackberry 10, but here is some speculation.

Blackberry 10 is based on QNX 6.6, and it runs using Screen. It is a closed system. That is, you can't write your own resource manager or driver and put it on a Blackberry. User applications run in a sandbox and have limited and tightly controlled access to system functions. The fact that you are seeing an OS value of 8.0.0 suggests two possibilities.

1) Blackberry 10 is intentionally a branch off of standard QNX 6.

or

2) Blackberry 10 has new features that will eventually find their way into a general release called QNX 8.
Note that as a general rule, QNX has avoided odd numbered major versions. There has been a QNX 2, 4 and 6 so far.
For that matter, major release numbers involved complete rewrites so far. And to any of you old guys who think they know more than me, QNX 3 was not a release, just a system level indicator that QNX 2 was running in protected mode.

Re: where to get python 3.2.2 header files

PostPosted: Sat Oct 18, 2014 4:02 am
by thowa
Thanks for your answer.

I knew that limitation regarding sandbox, but still would like to use it. Does anybody know, where to get the headers?

Re: where to get python 3.2.2 header files

PostPosted: Tue Aug 11, 2015 8:35 am
by nico04
Hi,

Here is the repository for Python 3.2.2 that is used by BlackBerry : https://github.com/blackberry/Python
I managed to compile it for QNX 6.5.0 or 6.6.0 (armv7) some time ago (don't remember). It was not full functionnal but usable.
The BlackBerry sources effectively references QNX as version 8. Some modifications need to be done to compile it correctly with QNX.

Nicolas